import { Directive, ElementRef, Input, HostListener, NgModule } from '@angular/core';

/**
 * @fileoverview added by tsickle
 * Generated from: lib/components/directives/highlighter/highlighter.directive.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var HighlighterDirective = /** @class */ (function () {
    function HighlighterDirective(el) {
        this.el = el;
    }
    /**
     * @return {?}
     */
    HighlighterDirective.prototype.onMouseEnter = /**
     * @return {?}
     */
    function () {
        this.highlight(this.highlightColor || this.defaultColor || 'yellow');
    };
    /**
     * @return {?}
     */
    HighlighterDirective.prototype.onMouseLeave = /**
     * @return {?}
     */
    function () {
        this.highlight(null);
    };
    /**
     * @private
     * @param {?} color
     * @return {?}
     */
    HighlighterDirective.prototype.highlight = /**
     * @private
     * @param {?} color
     * @return {?}
     */
    function (color) {
        this.el.nativeElement.style.backgroundColor = color;
    };
    HighlighterDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[appHighlight]'
                },] }
    ];
    /** @nocollapse */
    HighlighterDirective.ctorParameters = function () { return [
        { type: ElementRef }
    ]; };
    HighlighterDirective.propDecorators = {
        defaultColor: [{ type: Input }],
        highlightColor: [{ type: Input, args: ['appHighlight',] }],
        onMouseEnter: [{ type: HostListener, args: ['mouseenter',] }],
        onMouseLeave: [{ type: HostListener, args: ['mouseleave',] }]
    };
    return HighlighterDirective;
}());

/**
 * @fileoverview added by tsickle
 * Generated from: lib/components/directives/highlighter/highlighter.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var HighlighterModule = /** @class */ (function () {
    function HighlighterModule() {
    }
    HighlighterModule.decorators = [
        { type: NgModule, args: [{
                    declarations: [HighlighterDirective],
                    imports: []
                },] }
    ];
    return HighlighterModule;
}());

/**
 * @fileoverview added by tsickle
 * Generated from: public-api.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: highlight-on-hover.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

export { HighlighterModule, HighlighterDirective as ɵa };

//# sourceMappingURL=highlight-on-hover.js.map